Package ghidra.features.bsim.query.protocol

# Class QueryExeInfo

java.lang.Object
ghidra.features.bsim.query.protocol.BSimQuery<ResponseExe>
ghidra.features.bsim.query.protocol.QueryExeInfo

public class QueryExeInfo extends BSimQuery<ResponseExe>
Query of executable records

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `ResponseExe`
  `exeresponse`
  `boolean`
  `fillinCategories`
  `String`
  `filterArch`
  `String`
  `filterCompilerName`
  `String`
  `filterExeName`
  `String`
  `filterMd5`
  `boolean`
  `includeFakes`
  `int`
  `limit`
  `ExeTable.ExeTableOrderColumn`
  `sortColumn`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `name, response`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryExeInfo()`
  Default query for the first 20 executables in the database
  `QueryExeInfo(int limit, String filterMd5, String filterExeName, String filterArch, String filterCompilerName, ExeTable.ExeTableOrderColumn sortColumn, boolean includeFakes)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildResponseTemplate()`
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `clearResponse, execute, getDescriptionManager, getLocalStagingCopy, getName, getResponse, restoreQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### exeresponse

    public ResponseExe exeresponse

  - ### limit

    public int limit

  - ### filterMd5

    public String filterMd5

  - ### filterExeName

    public String filterExeName

  - ### filterArch

    public String filterArch

  - ### filterCompilerName

    public String filterCompilerName

  - ### sortColumn

    public ExeTable.ExeTableOrderColumn sortColumn

  - ### includeFakes

    public boolean includeFakes

  - ### fillinCategories

    public boolean fillinCategories

- ## Constructor Details

  - ### QueryExeInfo

    public QueryExeInfo()
    Default query for the first 20 executables in the database

  - ### QueryExeInfo

    public QueryExeInfo(int limit, String filterMd5, String filterExeName, String filterArch, String filterCompilerName, ExeTable.ExeTableOrderColumn sortColumn, boolean includeFakes)
    Constructor
    Parameters:
      `limit` - the max number of results to return
      `filterMd5` - md5 the md5 filter
      `filterExeName` - the exe filter
      `filterArch` - the architecture filter
      `filterCompilerName` - the compiler name filter
      `sortColumn` - the primary sort column name
      `includeFakes` - if false, will exclude generated MD5s starting with "bbbbbbbbaaaaaaaa"

- ## Method Details

  - ### buildResponseTemplate

    public void buildResponseTemplate()
    Overrides:
      `buildResponseTemplate` in class `BSimQuery<ResponseExe>`

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `BSimQuery<ResponseExe>`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `BSimQuery<ResponseExe>`
    Throws:
      `LSHException`